#ifndef __BColorPickerWindow_h__
#define __BColorPickerWindow_h__

#include <Window.h>
#include <ColorControl.h>
#include <View.h>
#include <Button.h>
#include <Looper.h>

class BColorPickerWindow : public BWindow
{
public:
	BColorPickerWindow();
	~BColorPickerWindow();

	virtual void MessageReceived( BMessage * );
	virtual bool QuitRequested();
	void SetTarget( BLooper * );
	void SetMessage( BMessage * msg );
	void SetColor( rgb_color);

private:
	BButton *OkButton, *CancelButton;
	BColorControl *ColorControl;
	BLooper *Target;
	BMessage *Msg;
};

#endif