#ifndef __Locale_h__
#define __Locale_h__

#include <List.h>
#include <Entry.h>

typedef struct
{
	entry_ref Ref;
	char *Name;
} Lang;

class basLocale
{
public:
	basLocale();
	~basLocale();

	void LoadLanguages();
	void SetLanguage( char *language );

	char *Text( int id, char *other = NULL );

	BList *LanguageList() { return &Languages; }

private:
	void DeleteAllLanguageStrings();

	BList Languages;
	BList Language;
};

extern basLocale *Locale;

#endif