#ifndef __basSendEmailWindow_h__
#define __basSendEmailWindow_h__

#include <Window.h>
#include <E-mail.h>
#include <TextControl.h>
#include <Button.h>
#include <TextView.h>
#include <StringView.h>

class basSendEmailWindow : public BWindow
{
public:
	basSendEmailWindow( const char *);
	virtual ~basSendEmailWindow();

	virtual void MessageReceived( BMessage *);
	virtual bool QuitRequested();

private:
	bool SendMail( bool now = false );

	BMailMessage mail_message;
	BTextControl *FromText, *ToText, *SubjectText, *CCText, *BCCText;
	BButton *CancelButton, *SendButton, *SendNowButton;
	BTextView *MessageText;
	BStringView *MessageString;

	char *Enclosure;
};

#endif