#ifndef __basSetBackgroundWindow_h__
#define __basSetBackgroundWindow_h__

#include <Window.h>
#include <Entry.h>
#include <Button.h>
#include <MenuField.h>
#include <CheckBox.h>
#include <View.h>

class basSetBackgroundWindow;

class basSetBackgroundWindow_View : public BView
{
public:
	basSetBackgroundWindow_View( BRect );
	~basSetBackgroundWindow_View();
	virtual void Draw( BRect );
};

class basSetBackgroundWindow : public BWindow
{
friend class basSetBackgroundWindow_View;
public:
	basSetBackgroundWindow();
	~basSetBackgroundWindow();

	virtual void MessageReceived( BMessage *);
	virtual bool QuitRequested();
	void ShowWith( BEntry * );
private:
	BButton *OkButton;
	BButton *CancelButton;
	BMenuField *BackTypeField;
	BCheckBox *CopyToHomeCheckBox;
	BBitmap *ScreenDump;
	BRect ScreenDumpRect;
	entry_ref ScreenFile;
};

#endif