#ifndef __basBitmapWorker_h__
#define __basBitmapWorker_h__

class basBitmapWorker
{
public:
	basBitmapWorker();

	BBitmap *CreateTumbnail( entry_ref *, int tumbX, int tumbY, bool keep_aspect_ratio = true, bool anti_alised = false, bool wasted_space = true );
	BBitmap *CreateTumbnail( const char *, int tumbX, int tumbY, bool keep_aspect_ratio = true, bool anti_alised = false, bool wasted_space = true );
	BBitmap *CreateTumbnail( BBitmap *, int tumbX, int tumbY, bool keep_aspect_ratio = true, bool anti_alised = false, bool wasted_space = true );
	BBitmap *LoadBitmap( entry_ref * );
	BBitmap *LoadBitmap( const char * );
};

extern basBitmapWorker *_BitmapWorker;

#endif