#ifndef __basPluginInterface_h__
#define __basPluginInterface_h__

#include <vector>
#include "basPlugin.h"

typedef struct
{
	entry_ref *Ref;
	basPlugin *Plug;
	image_id AddOn_ID;
} basPluginInterface;

class basPluginInterfaceManager
{
public:
	basPluginInterfaceManager();
	virtual ~basPluginInterfaceManager();

	void LoadPlugins( const char *fromwhere = NULL );
	vector<basPluginInterface*>& PluginList();

protected:
	vector<basPluginInterface*> PluginBList;
};

void PictureWindow_SetPicture( BEntry * );

#endif