#include <Application.h>
#include <Alert.h>
#include <Roster.h>

extern "C" void process_refs( entry_ref dir_ref, BMessage *msg, void *);

void process_refs( entry_ref dir_ref, BMessage *msg, void *)
{
	BMessage *smsg = new BMessage(B_REFS_RECEIVED);
	entry_ref ref;
	if ( msg->FindRef( "refs", &ref ) != B_OK)
		ref = dir_ref;
	smsg->AddRef( "refs", &ref );
	BRoster *roster = new BRoster();
	roster->Launch( "application/x-wnd.BeAndSee", smsg );
	delete roster;
}

int main()
{
	new BApplication("application/x-BeAndSee-ImageBrowse_Folder-tracker-add-on");
	(new BAlert("", "This is a tracker add-on, you aren't suposed to run it.\nTo install this add-on copy it to ~/config/add-ons/Tracker/\n", "Ok"))->Go();
	delete be_app;
	return 0;
}