#ifndef __TumbnailCache_h__
#define __TumbnailCache_h__

#include <Bitmap.h>
#include <Entry.h>

class basTumbnailCache
{
public:
	basTumbnailCache();
	~basTumbnailCache();

	BBitmap *GetTumbnail( const char *, int *x, int *y, int min );
	void Enable( bool );
private:
	bool caching_enabled;
};

extern basTumbnailCache *TumbnailCache;

#endif