#ifndef __basCameraConfigWindow_h__
#define __basCameraConfigWindow_h__

#include <Window.h>
#include <MenuField.h>
#include <Button.h>
#include <ListView.h>
#include <StringView.h>
#include <TextControl.h>
#include <vector>
#include <string>

class basCameraConfigWindow;

typedef struct
{
	string String;
	vector<unsigned int> Index;
} camString;

class basCameraConfigAddWindow : public BWindow
{
public:
	basCameraConfigAddWindow( basCameraConfigWindow *, const char *name = NULL, const char * = NULL, int arg = 0);

	virtual void MessageReceived( BMessage * );
	virtual bool QuitRequested();

private:

	vector<camString*> camList;

	BMenuField *CamListField;
	BButton *OkButton, *CancelButton;
	BTextControl *CamNameTC;

	basCameraConfigWindow *Parent;

	int Arg;

	string ArgName;
};

class basCameraConfigWindow : public BWindow
{
public:
	basCameraConfigWindow();

	virtual void MessageReceived( BMessage * );
	virtual bool QuitRequested();

private:
	BStringView *configureCamsSView;
	BListView *configuredCamsLView;
	BButton *AddButton, *RemoveButton, *EditButton;

	bool Changed;
};

#endif