#ifndef __basCommon_h__
#define __basCommon_h__

#include <Entry.h>
#include <Node.h>
#include <Bitmap.h>

//#define CAMERA_SUPPORT

#define B_MESSAGE_SELECT	0x10002000
#define B_MESSAGE_INVOKE	0x10002001
#define B_MESSAGE_INVOKE2	0x10002002

#define B_MENU_QUIT_REQUESTED		0x10000
#define B_MENU_KEEP_ASPECT_RATIO	0x10001
#define B_MENU_SHOW_IMAGES_ONLY		0x10002
#define B_MENU_SHOW_FOLDERS_TOOLBAR	0x10003
#define B_MENU_OPEN_FOLDER			0x10004
#define B_MENU_SHOW_ALL_FILES		0x10005
#define B_MENU_SHOW_TUMBNAILS		0x10006
#define B_MENU_SHOW_PREFERENCES		0x10007
#define B_MENU_SHOW_FOLDERS_FIRST	0x10008
#define B_MENU_SAVE_AS				0x10009
#define B_MENU_TOGGLE_FULLSCREEN	0x10010
#define B_MENU_SET_AS_BACKGROUND	0x10011
#define B_MENU_SHOW_IMAGE			0x10012
#define B_MENU_SET_TUMBNAIL_SIZE	0x10013
#define B_MENU_SHOW_FOLDER_VIEW		0x10014
#define B_MENU_SAVE_SETTINGS		0x10015
#define B_MENU_OPEN_PARENT_FOLDER	0x10016
#define B_MENU_SET_FOLDER_COL_SHOWN	0x10017
#define B_MENU_DELETE_IMAGE			0x10018
#define B_MENU_ENABLE_SMOOTH_SCALE	0x10019
#define B_MENU_PREFS_SET_MOUSE_F_L	0x10020
#define B_MENU_PREFS_SET_MOUSE_F_M	0x10021
#define B_MENU_PREFS_SET_MOUSE_F_R	0x10022
#define B_MENU_PREFS_SET_MOUSE_F_W	0x10023
#define B_MENU_PREFS_SET_MOUSE_T_L	0x10024
#define B_MENU_PREFS_SET_MOUSE_T_M	0x10025
#define B_MENU_PREFS_SET_MOUSE_T_R	0x10026
#define B_MENU_PREFS_SET_MOUSE_T_W	0x10027
#define B_MENU_PREFS_SET_MOUSE_T_D	0x10028
#define B_MENU_PREFS_SET_COLOR_T_V	0x10029
#define B_MENU_PREFS_SET_COLOR_T_B	0x10030
#define B_MENU_PREFS_SET_COLOR_T_H	0x10031
#define B_MENU_PICTURE_DO_PLUGIN	0x10032
#define B_MENU_REGISTER				0x10033

#define B_BUTTON_OK					0x10034
#define B_BUTTON_CANCEL				0x10035

#define B_MENU_MOVE_IMAGE			0x10036
#define B_MENU_COPY_IMAGE			0x10037
#define B_SHOW_IMAGELISTWINDOW		0x10038
#define B_MENU_ADD_IMAGE_TO_IMAGELIST	0x10039
#define B_MENU_OPEN					0x10040
#define B_MENU_SAVE					0x10041
#define B_MENU_CLOSE				0x10042
#define B_MENU_CLEAR				0x10043
#define B_MENU_ADD_ALL_IMAGES_TO_IMAGELIST	0x10044
#define B_REMOVE_SELECTED			0x10045
#define B_MENU_SET_LANGUAGE			0x10046
#define B_MENU_SEND_IMAGE_BY_EMAIL	0x10047
#define B_BUTTON_SEND_NOW			0x10048
#define B_MENU_PREFS_SET_TUMBNAIL_CACHING	0x10049
#define B_BUTTON_PURCHASE			0x10050
#define B_MENU_SHOW_IMAGE_IN_NEW_WINDOW	0x10051
#define B_SET_COLOR					0x10052
#define B_MENU_CAMERA_CONFIG		0x10053
#define B_ADD						0x10054
#define B_REMOVE					0x10055
#define B_EDIT						0x10056
#define B_CAMERA_SELECT				0x10057
#define B_MENU_OPEN_WITH_PREFERED_APPLICATION	0x10058
#define B_MENU_UNDO					0x10059

#define B_UPDATE_TUMBNAIL_VIEW		0x20000
#define B_TUMBNAIL_VIEW_ADDED_ITEM	0x20001
#define B_MENU_PREFS_SET_COLOR_T_V_MSG	0x20002
#define B_MENU_PREFS_SET_COLOR_T_B_MSG	0x20003
#define B_MENU_PREFS_SET_COLOR_T_H_MSG	0x20004
#define B_FOLDERVIEW_SORT_ITEMS		0x20005
#define B_LOAD_TUMBNAIL				0x20006
#define B_RELOAD_SETTINGS			0x20007
#define B_ADD_FINISHED				0x20008

#endif