#ifndef __htmlgenerator_h__
#define __htmlgenerator_h__

#include "basPlugin.h"
#include "basCommon.h"
#include "basBitmapWorker.h"

class basHTMLConfig;

class basHTMLGentPlugin : public basPlugin
{
friend class basHTMLConfig;
public:
	basHTMLGentPlugin(unsigned int);
	virtual ~basHTMLGentPlugin();

	virtual int ProcessImage( BBitmap *, BBitmap ** );
	virtual int ProcessRefs( BMessage *msg );

	bool GenerateHTML( BMessage *, const char * );

	virtual void Configure();

	virtual const char *PluginName() { return "Tumbnail list HTML generator Plugin"; };
	virtual const int PluginVersion() { return ((0 << 24) | (1 << 16) | ( 0 << 8 ) | 0 ); };
	virtual const int PluginType() { return PLUGIN_TYPE_PROCESS_REFS; }
private:
	basHTMLConfig *htmlConfig;
};

#endif